{% extends "Dockerfile-cli.twig" %}

{% block footer %}
    RUN addgroup -S sudo \
    && adduser -h /home/web -u 1000 -S -s /bin/bash -G sudo web \
    && echo "%sudo ALL=NOPASSWD:ALL" > /etc/sudoers
{% endblock %}

{% block phpconfig %}
    RUN echo "memory_limit = 128M" > /usr/local/etc/php/conf.d/custom.ini \
    && echo "max_execution_time = 60" >> /usr/local/etc/php/conf.d/custom.ini \
    && echo "error_reporting=E_ALL" >> /usr/local/etc/php/conf.d/custom.ini \
    && echo "log_errors=On" >> /usr/local/etc/php/conf.d/custom.ini \
    && echo "error_log = /proc/self/fd/2" >> /usr/local/etc/php/conf.d/custom.ini \
    && echo "expose_php = Off" >> /usr/local/etc/php/conf.d/custom.ini \
    && echo "pm.status_path = /status" >> /usr/local/etc/php-fpm.d/zz-docker.conf \
    && echo "ping.path = /ping" >> /usr/local/etc/php-fpm.d/zz-docker.conf \
    && echo "catch_workers_output = yes" >> /usr/local/etc/php-fpm.d/zz-docker.conf
{% endblock %}
